org.apache.poi.hssf.record.cf

## Class DataBarFormatting

- java.lang.Object
- - org.apache.poi.hssf.record.cf.DataBarFormatting

- All Implemented Interfaces:
    Duplicatable

      public final class DataBarFormatting
      extends java.lang.Object
      implements Duplicatable

  Data Bar Conditional Formatting Rule Record.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBarFormatting()`
    `DataBarFormatting(DataBarFormatting other)`
    `DataBarFormatting(LittleEndianInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataBarFormatting` | `clone()` Deprecated.
    `DataBarFormatting` | `copy()`
    `ExtendedColor` | `getColor()`
    `int` | `getDataLength()`
    `byte` | `getPercentMax()`
    `byte` | `getPercentMin()`
    `DataBarThreshold` | `getThresholdMax()`
    `DataBarThreshold` | `getThresholdMin()`
    `boolean` | `isIconOnly()`
    `boolean` | `isReversed()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setColor(ExtendedColor color)`
    `void` | `setIconOnly(boolean only)`
    `void` | `setPercentMax(byte percentMax)`
    `void` | `setPercentMin(byte percentMin)`
    `void` | `setReversed(boolean rev)`
    `void` | `setThresholdMax(DataBarThreshold thresholdMax)`
    `void` | `setThresholdMin(DataBarThreshold thresholdMin)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataBarFormatting

          public DataBarFormatting()

    - #### DataBarFormatting

          public DataBarFormatting(DataBarFormatting other)

    - #### DataBarFormatting

          public DataBarFormatting(LittleEndianInput in)

  - ### Method Detail

    - #### isIconOnly

          public boolean isIconOnly()

    - #### setIconOnly

          public void setIconOnly(boolean only)

    - #### isReversed

          public boolean isReversed()

    - #### setReversed

          public void setReversed(boolean rev)

    - #### getPercentMin

          public byte getPercentMin()

    - #### setPercentMin

          public void setPercentMin(byte percentMin)

    - #### getPercentMax

          public byte getPercentMax()

    - #### setPercentMax

          public void setPercentMax(byte percentMax)

    - #### getColor

          public ExtendedColor getColor()

    - #### setColor

          public void setColor(ExtendedColor color)

    - #### getThresholdMin

          public DataBarThreshold getThresholdMin()

    - #### setThresholdMin

          public void setThresholdMin(DataBarThreshold thresholdMin)

    - #### getThresholdMax

          public DataBarThreshold getThresholdMax()

    - #### setThresholdMax

          public void setThresholdMax(DataBarThreshold thresholdMax)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DataBarFormatting clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DataBarFormatting copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### getDataLength

          public int getDataLength()

    - #### serialize

          public void serialize(LittleEndianOutput out)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.